Bug 1126556 - [ovirt-branding] increment branding interface number
Summary: [ovirt-branding] increment branding interface number
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 19:00 UTC by Alexander Wels
Modified: 2016-02-10 19:47 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:21:13 UTC
oVirt Team: UX


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31042 ovirt-engine-3.5 MERGED userportal,webadmin: increase branding interface number Never

Description Alexander Wels 2014-08-04 19:00:47 UTC
Description of problem:
The current version of the branding interface is at 1, with the introduction of patternfly we cannot maintain compatibility with version 1. We need to increase the interface version to 2.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jiri Belka 2014-09-05 12:15:29 UTC
What is supposed to be verified here?

Comment 2 Alexander Wels 2014-09-05 12:30:30 UTC
You should be able to verify the following:

1. Verify that the version property in /etc/ovirt-engine/branding/00-ovirt.brand/ branding.properties is set to 2.
2. If you install a branding package (for instance the RHEV one) and the version is NOT 2 in its associated branding.properties, it won't load. In fact there should be a warning in your log that it found a branding package but that it was incompatible.

Comment 3 Jiri Belka 2014-09-08 09:15:28 UTC
ok

[root@jb-rhevm35 ~]# grep 2 /etc/ovirt-engine/branding/00-ovirt.brand/branding.properties 
version=2

Comment 4 Sandro Bonazzola 2014-10-17 12:21:13 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.